%define		php5_extension	imagick
%define 	real_name	imagick
%define		real_version	0.9.13

Name:	 	php5-%php5_extension
Version:	%php5_version
Release:	%php5_release

Summary:	PHP5 wrapper to the ImageMagick library

License:	PHP License
Group:		System/Servers
URL:		http://pecl.php.net/package/imagick

Packager:	Nikolay A. Fetisov <naf@altlinux.ru>

Source0:	%real_name-%real_version.tar
Source1:	php-%php5_extension.ini
Source2:	php-%php5_extension-params.sh

BuildRequires(pre): rpm-build-php5
# Automatically added by buildreq on Tue Aug 18 2009
BuildRequires: bzlib-devel libGraphicsMagick-devel libSM-devel libX11-devel libXext-devel libfreetype-devel liblcms-devel libltdl7-devel

BuildRequires: php5-devel = %php5_version

Conflicts: php5-imagick2

%description
Imagick is a native PHP extension to create and modify images
using the ImageMagick API.

This package contains Imagick with legacy 0.9.x API.

%prep
%setup -T -c
tar xvf %SOURCE0
# ./imagick-0.9.x -> ./
mv -- %real_name-%real_version/* .
rm -fr -- %real_name-%real_version


%build
phpize
BUILD_HAVE=`echo %php5_extension | tr '[:lower:]-' '[:upper:]_'`
%add_optflags -fPIC -L%_libdir
export LDFLAGS=-lphp-%_php5_version
%configure \
	--with-%php5_extension \
	--with-libdir=%_lib \
	--with-imagick-gm \
	#

%php5_make

%install
%php5_make_install
install -D -m 644 -- %SOURCE1 %buildroot/%php5_extconf/%php5_extension/config
install -D -m 644 -- %SOURCE2 %buildroot/%php5_extconf/%php5_extension/params


%files
%doc CREDITS INSTALL
%doc examples*

%php5_extconf/%php5_extension
%php5_extdir/*

%post
%php5_extension_postin

%preun
%php5_extension_preun

%changelog
* Tue Aug 10 2010 Dmitriy Kulik <lnkvisitor@altlinux.org> 5.2.14.20100721-alt0.M51.1
- Build for branch 5.1

* Wed Aug 04 2010 Anton Farygin <rider@altlinux.ru> 5.2.14.20100721-alt1.1
- Rebuild with php5-5.2.14.20100721-alt1

* Tue Mar 09 2010 Anton Farygin <rider@altlinux.ru> 5.2.13.20100205-alt1.1
- Rebuild with php5-5.2.13.20100205-alt1

* Mon Feb 01 2010 Anton Farygin <rider@altlinux.ru> 5.2.12.20091216-alt4.1
- Rebuild with php5-5.2.12.20091216-alt4

* Wed Jan 27 2010 Anton Farygin <rider@altlinux.ru> 5.2.12.20091216-alt1.1
- rebuild with php5-5.2.12.20091216

* Tue Aug 18 2009 Nikolay A. Fetisov <naf@altlinux.ru> 5.2.11.20090722-alt1.1
- Fix build with GraphicsMagick-1.3.6

* Fri Jul 24 2009 Alexey Gladkov <legion@altlinux.ru> 5.2.11.20090722-alt1
- NMU: Rebuild with php5-5.2.11.20090722-alt1.

* Thu Feb 12 2009 Nikolay A. Fetisov <naf@altlinux.ru> 5.2.9.20090205-alt1
- Rebuild with php5-5.2.9.20090205-alt1

* Sat Dec 20 2008 Nikolay A. Fetisov <naf@altlinux.ru> 5.2.7.20080920-alt1.3
- Build with GraphicsMagick

* Wed Nov 19 2008 Nikolay A. Fetisov <naf@altlinux.ru> 5.2.7.20080920-alt1.2
- Fix build with ImageMagick 6.4.5.8

* Mon Nov 17 2008 Nikolay A. Fetisov <naf@altlinux.ru> 5.2.7.20080920-alt1.1
- Fix build with ImageMagick 6.4.5.5

* Sun Oct 12 2008 Nikolay A. Fetisov <naf@altlinux.ru> 5.2.7.20080920-alt1
- Rebuild for PHP 5.2.7.20080920

* Fri Jul 11 2008 Nikolay A. Fetisov <naf@altlinux.ru> 5.2.7.20080627-alt1
- Rebuild for PHP 5.2.7

* Sat May 17 2008 Nikolay A. Fetisov <naf@altlinux.ru> 5.2.5-alt1
- Initial build for ALT Linux Sisyphus
